Stack Exchange Network

Stack Exchange network consists of 175 Q&A communities including Stack Overflow, the largest, most trusted online community for developers to learn, share their knowledge, and build their careers.

Visit Stack Exchange

Questions tagged [packages]

A package is a specific piece of software which can be installed and uninstalled on a system.

1
vote
0answers
12 views

Spacewalk Clients Not Running Yum Updates

The clients registered with my spacewalk server report needing updates but when I schedule a event to update the packages on the clients they never perform the update. The little clock icon appears on ...
0
votes
1answer
22 views

RPM from installed package

The question is simple. I have an old CentOS 7 system that has some installed packages with specific version numbers. However, these versions are unavailable now in the repository they were downloaded ...
1
vote
2answers
67 views

Monthly Patch Releases for Linux CentOS/RedHat

Can somebody tell me when CentOS/RedHat release package updates monthly? Micrososft has patch Tuesday but I can't seem to find a day/week when CentOS/RedHat release monthly patches. I'd like to ...
6
votes
1answer
1k views

How to completely remove a package in Ubuntu (like it never existed)

When I remove a package in Ubuntu using apt-get remove package, it always seems to leave behind a lot of files... for example, log files in /var/log, config files in /etc, data in /var/lib, etc. How ...
-1
votes
1answer
25 views

Advice on Server Solution for small business? [duplicate]

We are a small business looking to change server and I am not the most knowledgeable in this field so I was hoping some of you had some suggestions or some knowledge and expertise that can at least ...
0
votes
0answers
8 views

apt-cache policy output and version mismatch

Issue: Cannot update nginx packages (Debian version 8.11) The following packages have been kept back: nginx-common nginx-light The following packages have unmet dependencies: nginx-light: ...
0
votes
1answer
91 views

No package php-imap available on CentOS 6

I'm running a dedicated server with CentOS 6 64bit, here is the output when trying to install IMAP: [root@localhost ~]# yum install php-imap Loaded plugins: fastestmirror Loading mirror speeds from ...
0
votes
0answers
34 views

Kickstart with specific package versions which are not available

I use specific package versions in my Kickstart configuration file. %packages @^minimal @core bind-utils-9.9.4-61.el7_5.1 %end The problem is that version 9.9.4-61.el7_5.1 of the package bind-utils ...
3
votes
1answer
223 views

How to upgrade a package in Debian 8?

I'm using a docker image that comes with Debian 8 (jessie). I'm trying to upgrade curl package to the latest (7.58) from 7.38. Running apt-cache showpkg curl shows that 7.38 is the latest version, ...
2
votes
2answers
97 views

RHEL “el7” vs “el7a” on packages?

I have built an RPM on RHEL7 ppc64le and it got the suffix "el7a" as opposed to "el7" which I expected. Why is that and what does the "a" stand for?
1
vote
1answer
66 views

Troubleshoot msiexec removing dotnet Core

I am attempting to upgrade ASP.NET Core from 2.0.3 to 2.1.5 on a group of servers. I am using a Powershell script that looks something like this: $software = Get-ChildItem 'HKLM:\SOFTWARE\Microsoft\...
1
vote
0answers
63 views

Linker error in SUSE Linux Enterprise Server 12 SP3

Our machine was in SUSE Linux Enterprise Server 11 SP4 until when we recently moved to SUSE Linux Enterprise Server 12 SP3. Our C++ tools were compiling without any problem on SuSe 11. But when we ...
0
votes
0answers
12 views

Satis: multiple config but build in the packages.json

We use satis for our own repository. We have close to 100 repository and they are all in a single config file. When we need to build our package, this take a really long time because satis is ...
0
votes
0answers
23 views

Unable to install any packages even after enabling remi or adding other mirrors

I'm trying to install the php-xml package. I've tried various solutions and contacted support about this issue yet the following still prompts whenever i'm trying to install the php-xml package. My ...
0
votes
1answer
177 views

No packages matching ** is available in ansible

I'm trying to install a list of packages with ansible, and I can't seem to understand what the problem is. - name: Add PHP 7.2 repo apt_repository: repo: ppa:ondrej/php state: ...
0
votes
3answers
34 views

Is there a way to find hidden options and arguments on for a command / package that isnt documented?

On Linux if I install a new package and it contains commands I haven't used before, is there a way to find hidden options and args that are not documented in the MAN page or with the --help option. ...
0
votes
2answers
233 views

docker container linux-tools-generic package

My goal is to use perf to run performance tests on some Docker images. By default, the images I'm using don't come with perf. As such, I tried apt-get update apt-get install linux-tools-generic to ...
0
votes
1answer
307 views

Install package in Centos 6 from Centos 7 repo

I have Centos 6 and Centos 7 machines setup so that the first uses mount.cifs in order to mount volumes from the second through a proprieraty software. The problem is that the Centos 6 version of ...
0
votes
0answers
156 views

Ubuntu fetching packages from sketchy IPs — 151.205.24.17 and 151.205.24.19

I first noticed this when attempting to set up docker. I set up docker per the instructions here. However, when I ran an apt-get upgrade apt-get started downloading packages (not package lists) from ...
1
vote
1answer
286 views

How to use Ansible's homebrew module to assert a list of packages are installed

I'm a relatively new user of Ansible. I use it to orchestrate a few groups of Linux servers. I'm now expanding that use to use Ansible's homebrew module. Using the homebrew module, I want to assert ...
0
votes
0answers
788 views

Installing packages in SLES 12 SP3

I'm new to Suse and I have no idea how to do anything here. This is something I'm terribly new at and I can't figure out some basic stuff. First off, I'm used to Ubuntu. To install packages in Suse I'...
0
votes
1answer
261 views

Debian 9 build PHP7.0 with --with-fpm-acl fails

I need to enable support for POSIX ACL in PHP-FPM. I can get ACL list with getfacl and set them with setfacl -m from shell so my kernel support it. I've downloaded sources of PHP7.0_7.0.19 with $ cd /...
1
vote
1answer
5k views

How to install/enable GMP (math functions) for PHP on CentOS [closed]

I am trying to install GMP (GNU Multiple Precision) for PHP on my VPS. Server OS :- CentOS 6 with cPanel GMP Official Site :- http://www.gmplib.org I have been trying from 8 Days, but have not found ...
0
votes
1answer
88 views

Why apt on debian is showing package version different than command version

I was automating some packages requirements with ansible and wanted to freeze their version and I found out I am not sure which version is being used by the system. The debian apt-get commands give a ...
2
votes
1answer
118 views

Ignore Specific Package When Updating - Solaris 11.3 SPARC

I'm running java 7 on one of my Solaris servers. We need to run updates but when we do java 8 tries to install itself. This wouldn't be a big deal but it conflicts with another application we have ...
0
votes
1answer
2k views

Unable to install realm package

I am trying to join Centos 6.5 to Active Directory domain . I have upgraded all the packages using yum upgrade. but I'm unable to install realm package, it say 'no package realmd available'. Can ...
1
vote
0answers
27 views

Upgrade NuGet Powershell Cmdlets

I'm attempting to use NuGet powershell cmdlets mentioned here. I'm having a problem with the fact that I use VS2015 and my machines NuGet package source is pointing to "https://api.nuget.org/v3/index....
1
vote
0answers
499 views

Resolve a dependacy fail with libc-bin on debian

I had a very old server on etch and i tried to upgrade it to jessie. everything was good until wheezy when i made dist-upgrade, it try to upgrade libc6 WARNING: this version of the GNU libc ...
0
votes
1answer
1k views

“Class 'XMLWriter' not found” Error in php | php55w-xml-5.5.24-1.w6.x86_64.rpm is missing

I am getting this error in PHP in server Fatal Error (E_ERROR): Class 'XMLWriter' not found . we are using Cent OS 6 After exploring some sites, we found that we need to install php55w-xml-5.5.24-1....
0
votes
1answer
481 views

Adding CentOS 6.8 Client to Spacewalk

I'm trying to add a CentOS 6.8 client to Spacewalk 2.6 to I can push out updates. In order to add the client I need to first install some packages: rhn-client-tools rhn-check rhn-setup rhnsd m2crypto ...
2
votes
1answer
414 views

systemd-machined not found in debian systemd package

I have a docker container running a very bare version of debian stretch. with this, I have to install systemd externally first. To do this, I have a docker container that runs the install, then I ...
0
votes
1answer
196 views

How to keep newly installed packages in sync from master to nodes with puppet?

I have a setup of a bunch of machines (Ubuntu servers) which are geographically separated and are used for developing the same code-base. Sometimes I need to install packages on the machine from my ...
1
vote
1answer
380 views

Prevent from installing open-vm-tools-desktop / @platform-vmware on EL 7

When installing RHEL 7/CentOS 7 as a VMware ESX guest, the installer (Anaconda) automatically detects the virtualization host, then install the appropriate tools (open-vm-tools and open-vm-tools-...
0
votes
1answer
917 views

apache2-api-20120211 - How do I install it? No installation candidate

Cloudflare module depends on apache2-api-20120211 but there is no installation candidate for it. What is apache2-api package virtual package for? There is no information anywhere regarding this ...
0
votes
1answer
321 views

apt-get fails with unmet dependencies: Breaks, Depends, Recommends - what does it all mean?

I am attempting to patch the Dirty Cow vulnerability by running the following command on my Ubuntu 12.04 server: sudo apt-get update && sudo apt-get dist-upgrade This results in the follow ...
1
vote
0answers
221 views

Yum error CentOS 6.7, can't get connected to the package http://packages.sw.be/rpmforge-release_rpmforge-release-0.5.2-2.el6.rf.i686.rpm

I tried yum clean all and yum update and then I try yum erase apf and yum erase doesn't work because it can't get connected to the package mentioned in a title. I am connected to the internet and ...
0
votes
1answer
37 views

How to install old packages on a server?

I have been given a task to install PHP 5.3.29 a MySQL 5.5, but both of them are old - are there some repos with old packages? Or how do I get them? I have to install it with yum. Thank you very much
0
votes
1answer
213 views

Should package post install script run database migration?

So I have this debian package that install some nodejs application web app which uses a mysql database. The package have a postinst script that run the db migrate command bundled with he package. Now,...
1
vote
2answers
99 views

How to view changelog of a deb package not yet installed

I got prompted to update libxml2 on my Debian Jessie Server however prior doing so i want to know what has changed on the latest version. I have tried visiting Debian`s repo website for the relevant ...
3
votes
1answer
2k views

Make Yum recognize that httpd24-httpd (from SCL) provides the webserver virtual package

I've recently discovered software collections and understand how they allow me to install multiple versions of software by introducing a namespace for each collection. On Enterprise Linux, this is ...
5
votes
2answers
721 views

Install package from oldstable (wheezy) to stable (jessie)

I want to install the package which is missing in jessie from wheezy. It is like backport the other way. I need gcc-4.7, but jessie provides only gcc-4.9. Unstable provides gcc-4.7 only for arm ...
0
votes
1answer
4k views

Install specific version of a yum pacakge or default to latest via environment variable

I know that you can install a specific version of a yum package using the <package name>-<version> like this: yum install docker-engine-1.8.2 But I'm trying to customize this using an ...
0
votes
1answer
543 views

Installing development tools packages error Centos 6.6

I'm trying to install curl-devel package as a prior step to installation of git 2.x.x: yum install curl-devel But I get many errors like this one: Error: Package: gcc-c++-4.4.7-4.el6.x86_64 (@base)...
0
votes
0answers
935 views

How do I install a virtual package?

I'm trying to install postgis with aptitude on Ubuntu 15.10 and is having problems with virtual packages that prevent the installation. me@laptop:~$ sudo aptitude install postgis The following NEW ...
-1
votes
1answer
99 views

FreeBSD -no internet access -no packages

I just used this command: make -DBATCH install clean and realized that I don't have access to internet from FreeBSD. If I type the address manually the browser doesn't let me see them. Can ...
0
votes
1answer
35 views

mcstrans erased, but it erased multiple packages with it and system is broken

I erased mcstrans of my Red Hat system, but it erased with it a lot of other packages. Now yum is not working (python is missing), and I cannot access the server via ssh because libfipscheck.so.1 is ...
1
vote
0answers
448 views

Create custom package from nginx source - renaming nginx to custom-nginx

My dist is Ubuntu 14.04 use case I am attempting to create my own packaged nginx called 'custom-nginx'. It needs to install itself into alternative directories as so it does not interfere with the ...
0
votes
1answer
628 views

Installing packages inside a docker container using saltstack

Ive have been looking for tutorials to help me understand it but my searches has been unsuccessful. so I was wondering if it is possible for a Saltstack Master to install packages, say apache-mysql-...
-1
votes
1answer
551 views

Having issues installing Pecl Phar package - make failed

On Centos 6, php 5.5 I am trying to install the PHAR package with PECL. During the installation I get an "make failed" error: creating libtool appending configuration tag "CXX" to libtool configure: ...
1
vote
1answer
138 views

Prevent debian package from being removed by puppet

is there a way to prevent a debian package from being removed? I want to prevent any resolution of "replaces" and "breaks" attributes that would lead to removing that package while being able to ...